Show / Hide Table of Contents

# Delegate WorkspaceService<TConfig>.TextDocCloseCallback

Delegate for callbacks that occur when a text document is closed

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task TextDocCloseCallback(ScriptFile closedFile, EventContext eventContext);

##### Parameters

Type | Name | Description
--- | --- | ---
ScriptFile | closedFile | File that was closed
EventContext | eventContext | Context of the event raised for changed files

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |